Subject: bug#11600: Must subscribe in order to avoid long "nntp read:" waits

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Dec 2012 18:07:23 +0100

Dave Abrahams <[email-masked]> writes:

> It produced the following ELP results
> nntp-request-list                 3           12.511693000  4.1705643333
> nntp-with-open-group-function     3           12.511677     4.170559
> nntp-send-command-and-decode      3           12.511605     4.170535
> nntp-accept-process-output        1984        12.323542999  0.0062114632

This just seems to say that you're reading huge active files.  Or big
active files from slow servers.  All the time is spent waiting for
output.

The confusing thing is that you have `gnus-read-active-file' set to nil
(which isn't a good choice, but, anyway), but still `nntp-request-list'
is called three times.

When I set that variable to nil, I get no calls to that function.

Could you do a `debug-on-entry' on that function to see what's
triggering the calls?

-- 
(domestic pets only, the antidote for overdose, milk.)
  http://lars.ingebrigtsen.no  *  Lars Magne Ingebrigtsen